package com.pm.enterpriseInfo.mapper;

import com.pm.common.config.PageData;

import java.util.List;

public interface EnterpriseMapper {

    public List<PageData> selectEnterpriseList(PageData pd);

    public PageData selectEnterpriseByEnterpriseId(Long enterpriseId);

    public int insertEnterprise(PageData pd);

    public int updateEnterprise(PageData pd);

    public int deleteEnterpriseByEnterpriseId(Long enterpriseId);

    public int deleteEnterpriseByEnterpriseIds(Long[] enterpriseIds);

    public PageData selectEnterpriseByCreditCode(String creditCode);

    public PageData selectEnterpriseCount();
}
